Skip to main content
GET
/
stores
/
{storeId}
/
categories
List categories
curl --request GET \
  --url https://api.pandabase.io/v2/core/stores/{storeId}/categories \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "items": [
      {
        "id": "<string>",
        "name": "<string>",
        "slug": "<string>",
        "description": "<string>",
        "parentId": "<string>",
        "parent": {},
        "displayOrder": 123,
        "icon": "<string>",
        "metaTitle": "<string>",
        "metaDescription": "<string>",
        "showInNavigation": true,
        "featured": true,
        "isFavourite": true,
        "isArchived": true,
        "children": "<array>",
        "products": [
          {
            "id": "<string>",
            "title": "<string>"
          }
        ],
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "page": 123,
      "limit": 123,
      "total": 123,
      "totalPages": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Store API token. Use the sk_ prefixed secret key as the Bearer token.

Path Parameters

storeId
string
required

Store ID (shp_ prefix)

Required string length: 12 - 48

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:25
Required range: 1 <= x <= 100
Maximum string length: 128
parentId
string
isFavourite
boolean
isArchived
boolean
sortBy
enum<string>
Available options:
displayOrder,
name,
createdAt,
updatedAt
sortOrder
enum<string>
Available options:
asc,
desc

Response

Paginated list of categories

ok
boolean
required
data
object
required